Supported Antivirus

According to University Policy, you need to have an up-to-date antivirus/security software package installed on your computer in order to access the FerrisWiFi network. You can also view the Business Policy in detail. We support any of the software listed below:

Note: Ferris will no longer be supporting the use of computers running Windows 7 or lower, since there will be no further security patches released for these operating systems.

If you get an error message stating your software is not accepted, please contact the IT Solution Center. We should be able to add it to the approved list. We also ask that all students run a virus scan at least once a week. If you do not see your particular antivirus or operating system, please give us a call and we'll see if it can/will be approved and added to our list. If you have any questions, please contact us via one of the ways listed on the left.